import {AfterViewInit, Component, Input} from '@angular/core'
import {getRecipeLuma, recipeApprobationExpired, Recipe} from '../../../shared/model/recipe.model'
import {formatDate} from '../../../shared/utils/utils'

@Component({
  selector: 'cre-recipe-info',
  templateUrl: './recipe-info.component.html',
  styleUrls: ['./recipe-info.component.sass']
})
export class RecipeInfoComponent implements AfterViewInit {
  @Input() recipe: Recipe
  @Input() hasModifications: boolean

  isBPacExtensionInstalled = false

  ngAfterViewInit(): void {
    this.isBPacExtensionInstalled = document.querySelectorAll('.bpac-extension-installed').length > 0
  }

  get approbationDate(): string {
    return formatDate(this.recipe.approbationDate)
  }

  get isApprobationExpired(): boolean {
    return recipeApprobationExpired(this.recipe)
  }
}
