import {Component, Input} from '@angular/core'
import {ThemePalette} from '@angular/material/core'

@Component({
  selector: 'cre-button',
  template: `
    <button mat-raised-button [color]="color" [disabled]="disabled">
      <ng-content></ng-content>
    </button>
  `
})
export class CreButtonComponent {
  @Input() color: ThemePalette
  @Input() disabled = false
}

@Component({
  selector: 'cre-primary-button',
  template: `
    <cre-button color="primary" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `
})
export class CrePrimaryButtonComponent {
  @Input() disabled = false
}

@Component({
  selector: 'cre-accent-button',
  template: `
    <cre-button color="accent" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `
})
export class CreAccentButtonComponent {
  @Input() disabled = false
}

@Component({
  selector: 'cre-warn-button',
  template: `
    <cre-button color="warn" [disabled]="disabled">
      <ng-content></ng-content>
    </cre-button>
  `
})
export class CreWarnButtonComponent {
  @Input() disabled = false
}
