import {Component, ContentChild, Directive, Input, OnInit, ViewEncapsulation} from '@angular/core'
import {FormBuilder, FormGroup} from '@angular/forms'

@Directive({
  selector: 'cre-form-title'
})
export class CreFormTitle {
}

@Directive({
  selector: 'cre-form-content'
})
export class CreFormContent {
}

@Directive({
  selector: 'cre-form-actions'
})
export class CreFormActions {

}

@Component({
  selector: 'cre-form',
  templateUrl: './form.html',
  styleUrls: ['forms.sass'],
  encapsulation: ViewEncapsulation.None
})
export class CreFormComponent implements OnInit {
  @ContentChild(CreFormActions) formActions: CreFormActions
  @Input() formControls: { [key: string]: any }

  form: FormGroup

  constructor(
    private formBuilder: FormBuilder
  ) {
  }

  ngOnInit(): void {
    this.form = this.formBuilder.group(this.formControls)
  }

  get hasActions(): boolean {
    return this.formActions === true
  }

  get invalid(): boolean {
    return !this.form || this.form.invalid
  }
}
