import {NgModule} from '@angular/core'
import {
  CreAutocompleteInputComponent, CreCheckboxInputComponent,
  CreChipComboBoxComponent,
  CreChipInputComponent,
  CreComboBoxComponent, CreFileInputComponent,
  CreInputComponent
} from './inputs'
import {MatInputModule} from '@angular/material/input'
import {MatIconModule} from '@angular/material/icon'
import {FormsModule, ReactiveFormsModule} from '@angular/forms'
import {CommonModule} from '@angular/common'
import {MatCardModule} from '@angular/material/card'
import {MatListModule} from '@angular/material/list'
import {MatAutocompleteModule} from '@angular/material/autocomplete'
import {MatChipsModule} from '@angular/material/chips'
import {CreButtonsModule} from '../buttons/buttons.module'
import {CreBoolConfig} from '../../../configuration/config'
import {MatCheckboxModule} from '@angular/material/checkbox'

@NgModule({
  declarations: [
    CreInputComponent,
    CreChipInputComponent,
    CreAutocompleteInputComponent,
    CreComboBoxComponent,
    CreChipComboBoxComponent,
    CreFileInputComponent,
    CreBoolConfig,
    CreCheckboxInputComponent
  ],
  imports: [
    MatInputModule,
    MatAutocompleteModule,
    MatIconModule,
    ReactiveFormsModule,
    CommonModule,
    MatCardModule,
    MatListModule,
    MatChipsModule,
    FormsModule,
    CreButtonsModule,
    MatCheckboxModule,
  ],
    exports: [
        CreInputComponent,
        CreComboBoxComponent,
        CreChipComboBoxComponent,
        CreChipInputComponent,
        CreAutocompleteInputComponent,
        CreFileInputComponent,
        CreBoolConfig,
        CreCheckboxInputComponent
    ]
})
export class CreInputsModule {
}
