import {NgModule} from '@angular/core'
import {CommonModule} from '@angular/common'
import {TouchUpKitRoutingModule} from './touch-up-kit-routing.module'
import {SharedModule} from '../shared/shared.module'
import {CreInputsModule} from '../shared/components/inputs/inputs.module'
import {CreButtonsModule} from '../shared/components/buttons/buttons.module'
import {TouchUpKitProductEditor} from './components/product-editor'
import {FormsModule} from '@angular/forms'
import {CreActionBarModule} from '../shared/components/action-bar/action-bar.module'
import {TouchUpKitForm} from './components/form'
import {CreTablesModule} from '../shared/components/tables/tables.module'
import {TouchUpKitAdd, TouchUpKitBanner, TouchUpKitDetails, TouchUpKitEdit, TouchUpKitList} from './pages/touchupkit'
import {TouchUpKitFinish} from './components/finish'
import {MatTooltipModule} from '@angular/material/tooltip'


@NgModule({
  declarations: [
    TouchUpKitForm,
    TouchUpKitProductEditor,
    TouchUpKitBanner,
    TouchUpKitFinish,
    TouchUpKitList,
    TouchUpKitDetails,
    TouchUpKitAdd,
    TouchUpKitEdit
  ],
  imports: [
    CommonModule,
    TouchUpKitRoutingModule,
    SharedModule,
    CreInputsModule,
    CreButtonsModule,
    FormsModule,
    CreActionBarModule,
    CreTablesModule,
    MatTooltipModule
  ]
})
export class TouchUpKitModule {
}
